Get Aggregated Trace View
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/traces/aggregated \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"log_stream_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
]
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/traces/aggregated"
payload = {
"log_stream_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
]
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
log_stream_id: '<string>',
filters: [{column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}]
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/traces/aggregated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"graph": {
"nodes": [
{
"id": "<string>",
"name": "<string>",
"type": "llm",
"occurrences": 123,
"has_children": true,
"metrics": {},
"trace_count": 123,
"weight": 123,
"parent_id": "<string>",
"insights": [
{
"id": "<string>",
"title": "<string>",
"observation": "<string>",
"details": "<string>",
"suggested_action": "<string>",
"priority": 123,
"priority_category": "error"
}
]
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"weight": 123,
"occurrences": 123,
"trace_count": 123,
"trace_ids": [
"<string>"
]
}
],
"edge_occurrences_histogram": {
"strategy": "fixed",
"edges": [
123
],
"buckets": [
{
"lower": 123,
"upper": 123,
"count": 123
}
],
"total": 123
}
},
"num_traces": 123,
"num_sessions": 123,
"has_all_traces": true,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}trace
Get Aggregated Trace View
POST
/
v2
/
projects
/
{project_id}
/
traces
/
aggregated
Get Aggregated Trace View
Authorizations
APIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Log stream id associated with the traces.
filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]
Filters to apply on the traces. Note: Only trace-level filters are supported.
- LogRecordsIDFilter
- LogRecordsDateFilter
- LogRecordsNumberFilter
- LogRecordsBooleanFilter
- LogRecordsCollectionFilter
- LogRecordsTextFilter
- LogRecordsFullyAnnotatedFilter
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Number of traces in the aggregated view
Number of sessions in the aggregated view
Whether all traces were returned
created_at of earliest record of the aggregated view
created_at of latest record of the aggregated view
Was this page helpful?